function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
	init_mini(1);
	
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	if sender==26 then
	if id==100 then
		StartTimer(4321,3);
	    create_mini(1000,6,1,2000,600,false,1005);
		BlockCursor(true);
	return;end;	
	return;end;
	
	if sender==16 then
	
	   BlockCursor(false);		
	   if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;	
	return;end;
	if sender==30 then
		setcurentleaf("mother_room",18,0);
		DarkScreen(false);
		if flags.minicomplete then
			StopEmiter("Mirror");
			speciale_action(2,17,true);
			setcolor(17,0,0,0,1,1);
			Set_Cursor(62,3);
			savegame(SaveLevel())
		return;end;
	return;end;
	
	if sender==36 then
		if id==4321 then
		  BlockCursor(false);
		return;end;
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("mother_room");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete=true;
		playeffect("miniC");	
		StartTimer(2100,3);
		BlockCursor(true);	
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"1",101,"messageinfo")
		return;end;		
		if id==5000 and skipping then
			if not flags.minicomplete then
			   finish_mini_game(true);
			   playeffect("skip");

			return;end;
		return;end;
		
		if id==1000 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("mother_room");
			DeleteResource("btn");
			DeleteResource("bg");
			DeleteResource("pairs");
			DeleteResource("boxes");		
			DeleteResource("frame1");
			DeleteResource("frame2");
			DeleteResource("frame3");				
		return;end;
		if id>=1005 and id<=1016 then
			playeffect("BoxOpen");	
			check_mini_game_memory(id);
	--		check_mini_game_memory(AnimeId[(id-1017)%12+1041]+1041);
		return;end;		
	return;end;
			
end;
function PairsCounter(nCount,Param1)
end;
